Quantcast

error downloading plugins

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

error downloading plugins

Todd Wells-2
I found a message in the archives referring to this, but it was never answered. When I go a grails list-plugins, I get this:

Environment set to development
[Fatal Error] plugins-list-grailsCentral.xml:19181:24: XML document structures must start and end within the same entity.

Plugins available in the grailsCentral repository are listed below:
-------------------------------------------------------------

No plugins found in repository: grailsCentral. This may be because the repository is behind an HTTP proxy.

I'm not behind a proxy. 
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: error downloading plugins

pledbrook
On 31 October 2010 13:11, Todd Wells <[hidden email]> wrote:

> I found a message in the archives referring to this, but it was never
> answered. When I go a grails list-plugins, I get this:
>>>
>>> Environment set to development
>>>
>>> [Fatal Error] plugins-list-grailsCentral.xml:19181:24: XML document
>>> structures must start and end within the same entity.
>>>
>>> Plugins available in the grailsCentral repository are listed below:
>>>
>>> -------------------------------------------------------------
>>>
>>> No plugins found in repository: grailsCentral. This may be because the
>>> repository is behind an HTTP proxy.
>
> I'm not behind a proxy.

Does that happen every time? Looks like a corrupt XML file. You'll
find it in ~/.grails/<grailsVersion>/plugins-list-grailsCentral.xml -
see what's on line 19181. Alternatively, just delete the file and try
again.

Hope that helps,

Peter

--
Peter Ledbrook
Grails Advocate
SpringSource - A Division of VMware

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: error downloading plugins

Todd Wells-2
It was happening every time, but it appears to work now (I haven't changed anything). So I guess we can forget it.

On Mon, Nov 1, 2010 at 2:17 AM, Peter Ledbrook <[hidden email]> wrote:
On 31 October 2010 13:11, Todd Wells <[hidden email]> wrote:
> I found a message in the archives referring to this, but it was never
> answered. When I go a grails list-plugins, I get this:
>>>
>>> Environment set to development
>>>
>>> [Fatal Error] plugins-list-grailsCentral.xml:19181:24: XML document
>>> structures must start and end within the same entity.
>>>
>>> Plugins available in the grailsCentral repository are listed below:
>>>
>>> -------------------------------------------------------------
>>>
>>> No plugins found in repository: grailsCentral. This may be because the
>>> repository is behind an HTTP proxy.
>
> I'm not behind a proxy.

Does that happen every time? Looks like a corrupt XML file. You'll
find it in ~/.grails/<grailsVersion>/plugins-list-grailsCentral.xml -
see what's on line 19181. Alternatively, just delete the file and try
again.

Hope that helps,

Peter

--
Peter Ledbrook
Grails Advocate
SpringSource - A Division of VMware

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

   http://xircles.codehaus.org/manage_email



Loading...